Open Bug 1528429 Opened 1 year ago Updated 2 days ago

Intermittent browser/modules/test/browser/browser_urlBar_zoom.js | Test timed out -

Categories

(Firefox :: General, defect, P5)

defect

Tracking

()

REOPENED

People

(Reporter: intermittent-bug-filer, Assigned: apavel, NeedInfo)

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [stockwell disabled][stockwell needswork:owner])

Attachments

(1 file)

#[markdown(off)]
Filed by: nerli [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=228772591&repo=autoland

https://queue.taskcluster.net/v1/task/fy3nWDZhTEqEKUpJaEiWEw/runs/0/artifacts/public/logs/live_backing.log

[task 2019-02-16T00:16:17.456Z] 00:16:17 INFO - TEST-START | browser/modules/test/browser/browser_urlBar_zoom.js
[task 2019-02-16T00:16:17.497Z] 00:16:17 INFO - GECKO(7181) | Waiting for browser load
[task 2019-02-16T00:17:02.493Z] 00:17:02 INFO - TEST-INFO | started process screentopng
[task 2019-02-16T00:17:03.216Z] 00:17:03 INFO - TEST-INFO | screentopng: exit 0
[task 2019-02-16T00:17:03.218Z] 00:17:03 INFO - Buffered messages logged at 00:16:17
[task 2019-02-16T00:17:03.220Z] 00:17:03 INFO - Entering test bound
[task 2019-02-16T00:17:03.221Z] 00:17:03 INFO - Buffered messages finished
[task 2019-02-16T00:17:03.222Z] 00:17:03 INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_urlBar_zoom.js | Test timed out -
[task 2019-02-16T00:17:03.224Z] 00:17:03 INFO - GECKO(7181) | MEMORY STAT | vsize 2229MB | residentFast 339MB | heapAllocated 116MB
[task 2019-02-16T00:17:03.225Z] 00:17:03 INFO - TEST-OK | browser/modules/test/browser/browser_urlBar_zoom.js | took 45050ms
[task 2019-02-16T00:17:03.226Z] 00:17:03 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-02-16T00:17:03.227Z] 00:17:03 INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_urlBar_zoom.js | Found a tab after previous test timed out: about:blank -
[task 2019-02-16T00:17:03.229Z] 00:17:03 INFO - checking window state
[task 2019-02-16T00:17:04.099Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7456
[task 2019-02-16T00:17:04.144Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7508
[task 2019-02-16T00:17:04.152Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7284
[task 2019-02-16T00:17:04.160Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7482
[task 2019-02-16T00:17:04.178Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7430
[task 2019-02-16T00:17:04.180Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7534
[task 2019-02-16T00:17:04.197Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7262
[task 2019-02-16T00:17:04.198Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7388
[task 2019-02-16T00:17:04.222Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7341
[task 2019-02-16T00:17:04.298Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7372
[task 2019-02-16T00:17:04.647Z] 00:17:04 INFO - GECKO(7181) | Completed ShutdownLeaks collections in process 7181

Status: NEW → RESOLVED
Closed: 1 year ago
Resolution: --- → INCOMPLETE

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=253258954&repo=autoland&lineNumber=6041

[task 2019-06-25T06:06:15.094Z] 06:06:15 INFO - TEST-START | browser/modules/test/browser/browser_urlBar_zoom.js
[task 2019-06-25T06:06:15.135Z] 06:06:15 INFO - GECKO(5992) | Waiting for browser load
[task 2019-06-25T06:07:00.140Z] 06:07:00 INFO - TEST-INFO | started process screentopng
[task 2019-06-25T06:07:00.701Z] 06:07:00 INFO - TEST-INFO | screentopng: exit 0
[task 2019-06-25T06:07:00.701Z] 06:07:00 INFO - Buffered messages logged at 06:06:15
[task 2019-06-25T06:07:00.701Z] 06:07:00 INFO - Entering test bound
[task 2019-06-25T06:07:00.701Z] 06:07:00 INFO - Buffered messages finished
[task 2019-06-25T06:07:00.701Z] 06:07:00 INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_urlBar_zoom.js | Test timed out -
[task 2019-06-25T06:07:00.701Z] 06:07:00 INFO - GECKO(5992) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 110: uncaught exception: Object
[task 2019-06-25T06:07:00.702Z] 06:07:00 INFO - GECKO(5992) | MEMORY STAT | vsize 3449MB | residentFast 363MB | heapAllocated 136MB
[task 2019-06-25T06:07:00.702Z] 06:07:00 INFO - TEST-OK | browser/modules/test/browser/browser_urlBar_zoom.js | took 45056ms
[task 2019-06-25T06:07:00.704Z] 06:07:00 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-06-25T06:07:00.705Z] 06:07:00 INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_urlBar_zoom.js | Found a tab after previous test timed out: about:blank -
[task 2019-06-25T06:07:00.705Z] 06:07:00 INFO - checking window state
[task 2019-06-25T06:07:00.706Z] 06:07:00 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 110}]
[task 2019-06-25T06:07:01.844Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6181
[task 2019-06-25T06:07:01.871Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6213
[task 2019-06-25T06:07:01.887Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6270
[task 2019-06-25T06:07:01.888Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6125
[task 2019-06-25T06:07:01.889Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6071
[task 2019-06-25T06:07:01.897Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6298
[task 2019-06-25T06:07:01.899Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6241
[task 2019-06-25T06:07:01.899Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6326
[task 2019-06-25T06:07:01.947Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6046
[task 2019-06-25T06:07:01.948Z] 06:07:01 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 6152
[task 2019-06-25T06:07:02.373Z] 06:07:02 INFO - GECKO(5992) | Completed ShutdownLeaks collections in process 5992
[task 2019-06-25T06:07:02.377Z] 06:07:02 INFO - TEST-START | Shutdown
[task 2019-06-25T06:07:02.380Z] 06:07:02 INFO - Browser Chrome Test Summary
[task 2019-06-25T06:07:02.380Z] 06:07:02 INFO - Passed: 1153
[task 2019-06-25T06:07:02.380Z] 06:07:02 INFO - Failed: 2
[task 2019-06-25T06:07:02.381Z] 06:07:02 INFO - Todo: 1
[task 2019-06-25T06:07:02.385Z] 06:07:02 INFO - Mode: e10s
[task 2019-06-25T06:07:02.385Z] 06:07:02 INFO - *** End BrowserChrome Test Results ***
[task 2019-06-25T06:07:02.818Z] 06:07:02 INFO - GECKO(5992) | 1561442822809 Marionette TRACE Received observer notification xpcom-will-shutdown
[task 2019-06-25T06:07:02.823Z] 06:07:02 INFO - GECKO(5992) | 1561442822809 Marionette INFO Stopped listening on port 2828
[task 2019-06-25T06:07:02.823Z] 06:07:02 INFO - GECKO(5992) | 1561442822810 Marionette DEBUG Remote service is inactive
[task 2019-06-25T06:07:03.384Z] 06:07:03 INFO - TEST-INFO | Main app process: exit 0

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 1 year ago1 year ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

There are 23 total failures in the last 7 days on linux64-shippable and macosx1014-64-shippable opt, macosx1014-64 debug.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=270728569&repo=autoland&lineNumber=27170

[task 2019-10-10T17:49:26.058Z] 17:49:26 INFO - TEST-START | browser/modules/test/browser/browser_urlBar_zoom.js
[task 2019-10-10T17:49:26.060Z] 17:49:26 INFO - GECKO(1844) | ++DOCSHELL 0x114145800 == 2 [pid = 1846] [id = {74367e63-4997-c94e-9f75-584866e04381}]
[task 2019-10-10T17:49:26.060Z] 17:49:26 INFO - GECKO(1844) | ++DOMWINDOW == 7 (0x10f4f95c0) [pid = 1846] [serial = 120] [outer = 0x0]
[task 2019-10-10T17:49:26.060Z] 17:49:26 INFO - GECKO(1844) | ++DOMWINDOW == 8 (0x10f42c400) [pid = 1846] [serial = 121] [outer = 0x10f4f95c0]
[task 2019-10-10T17:49:26.141Z] 17:49:26 INFO - GECKO(1844) | ++DOMWINDOW == 9 (0x113e4ac00) [pid = 1846] [serial = 122] [outer = 0x10f4f95c0]
[task 2019-10-10T17:49:26.141Z] 17:49:26 INFO - GECKO(1844) | --DOCSHELL 0x120622800 == 1 [pid = 1849] [id = {6b470985-769e-6048-969b-1df78d6c19f5}] [url = about:newtab]
[task 2019-10-10T17:49:26.141Z] 17:49:26 INFO - GECKO(1844) | --DOMWINDOW == 7 (0x1207fb200) [pid = 1849] [serial = 180] [outer = 0x0] [url = http://example.com/mypage]
[task 2019-10-10T17:49:26.141Z] 17:49:26 INFO - GECKO(1844) | --DOMWINDOW == 6 (0x1207fb020) [pid = 1849] [serial = 184] [outer = 0x0] [url = about:newtab]
[task 2019-10-10T17:49:26.143Z] 17:49:26 INFO - GECKO(1844) | Waiting for browser load

[task 2019-10-10T17:49:37.380Z] 17:49:37 INFO - GECKO(1844) | --DOMWINDOW == 2 (0x1295c0c00) [pid = 1847] [serial = 71] [outer = 0x0] [url = about:newtab]
[task 2019-10-10T17:50:56.144Z] 17:50:56 INFO - TEST-INFO | started process screencapture
[task 2019-10-10T17:50:56.280Z] 17:50:56 INFO - TEST-INFO | screencapture: exit 0
[task 2019-10-10T17:50:56.280Z] 17:50:56 INFO - Buffered messages logged at 17:49:26
[task 2019-10-10T17:50:56.280Z] 17:50:56 INFO - Entering test bound
[task 2019-10-10T17:50:56.280Z] 17:50:56 INFO - Buffered messages finished
[task 2019-10-10T17:50:56.280Z] 17:50:56 INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_urlBar_zoom.js | Test timed out -
[task 2019-10-10T17:50:56.280Z] 17:50:56 INFO - GECKO(1844) | MEMORY STAT | vsize 7942MB | residentFast 536MB | heapAllocated 144MB
[task 2019-10-10T17:50:56.281Z] 17:50:56 INFO - TEST-OK | browser/modules/test/browser/browser_urlBar_zoom.js | took 90107ms
[task 2019-10-10T17:50:56.281Z] 17:50:56 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-10-10T17:50:56.281Z] 17:50:56 INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_urlBar_zoom.js | Found a tab after previous test timed out: about:blank -
[task 2019-10-10T17:50:56.281Z] 17:50:56 INFO - GECKO(1844) | ++DOCSHELL 0x113fc1800 == 1 [pid = 1848] [id = {900c4bef-db3f-f744-9801-22112720eaad}]
[task 2019-10-10T17:50:56.281Z] 17:50:56 INFO - GECKO(1844) | ++DOMWINDOW == 1 (0x11bb71200) [pid = 1848] [serial = 139] [outer = 0x0]
[task 2019-10-10T17:50:56.281Z] 17:50:56 INFO - GECKO(1844) | ++DOMWINDOW == 2 (0x113e98c00) [pid = 1848] [serial = 140] [outer = 0x11bb71200]
[task 2019-10-10T17:50:56.281Z] 17:50:56 INFO - GECKO(1844) | ++DOMWINDOW == 3 (0x113ea0c00) [pid = 1848] [serial = 141] [outer = 0x11bb71200]
[task 2019-10-10T17:50:56.281Z] 17:50:56 INFO - checking window state

Justin can you assign someone to take a look?

Flags: needinfo?(dolske)
Whiteboard: [stockwell needswork:owner]

Hi Geoff, history here looks like this: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-07-15&endday=2019-11-12&tree=trunk&bug=1528429

Since there is no reply, should we disable the test? Grand majority of failures are on mac.

Flags: needinfo?(gbrown)

Yes, please disable, at least on mac.

Flags: needinfo?(gbrown)
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/36bef03d2b69
disable browser_urlBar_zoom.js on mac r=gbrown
Status: REOPENED → RESOLVED
Closed: 1 year ago3 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 72
Assignee: nobody → apavel
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Whiteboard: [stockwell unknown] → [stockwell disabled]
Target Milestone: Firefox 72 → ---
Keywords: leave-open

There are 16 total failures in the last 7 days, most of them on shippable opt

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=289282234&repo=mozilla-central&lineNumber=6372

[task 2020-02-17T23:44:23.795Z] 23:44:23 INFO - TEST-START | browser/modules/test/browser/browser_urlBar_zoom.js
[task 2020-02-17T23:44:23.810Z] 23:44:23 INFO - GECKO(7704) | Waiting for browser load
[task 2020-02-17T23:44:23.826Z] 23:44:23 INFO - GECKO(7704) | Saw state c0010 and status 0
[task 2020-02-17T23:44:23.828Z] 23:44:23 INFO - GECKO(7704) | Browser loaded about:blank
[task 2020-02-17T23:44:24.150Z] 23:44:24 INFO - GECKO(7704) | Waiting for browser load
[task 2020-02-17T23:45:08.815Z] 23:45:08 INFO - TEST-INFO | started process screentopng
[task 2020-02-17T23:45:09.428Z] 23:45:09 INFO - TEST-INFO | screentopng: exit 0
[task 2020-02-17T23:45:09.428Z] 23:45:09 INFO - Buffered messages logged at 23:44:23
[task 2020-02-17T23:45:09.428Z] 23:45:09 INFO - Entering test bound
[task 2020-02-17T23:45:09.429Z] 23:45:09 INFO - Buffered messages logged at 23:44:24
[task 2020-02-17T23:45:09.429Z] 23:45:09 INFO - Running this test with FullZoomC
[task 2020-02-17T23:45:09.429Z] 23:45:09 INFO - Confirm whether the browser zoom is set to the default level
[task 2020-02-17T23:45:09.429Z] 23:45:09 INFO - TEST-PASS | browser/modules/test/browser/browser_urlBar_zoom.js | Page zoom is set to default (100%) -
[task 2020-02-17T23:45:09.429Z] 23:45:09 INFO - TEST-PASS | browser/modules/test/browser/browser_urlBar_zoom.js | Zoom reset button is currently hidden -
[task 2020-02-17T23:45:09.430Z] 23:45:09 INFO - Change zoom and confirm zoom button appears
[task 2020-02-17T23:45:09.430Z] 23:45:09 INFO - Zoom increased to 110%
[task 2020-02-17T23:45:09.430Z] 23:45:09 INFO - TEST-PASS | browser/modules/test/browser/browser_urlBar_zoom.js | Zoom reset button is now visible -
[task 2020-02-17T23:45:09.431Z] 23:45:09 INFO - TEST-PASS | browser/modules/test/browser/browser_urlBar_zoom.js | Button label updated successfully to 110% -
[task 2020-02-17T23:45:09.433Z] 23:45:09 INFO - TEST-PASS | browser/modules/test/browser/browser_urlBar_zoom.js | Clicking zoom button successfully resets browser zoom to 100% -
[task 2020-02-17T23:45:09.434Z] 23:45:09 INFO - TEST-PASS | browser/modules/test/browser/browser_urlBar_zoom.js | Zoom reset button returns to being hidden -
[task 2020-02-17T23:45:09.435Z] 23:45:09 INFO - Buffered messages finished
[task 2020-02-17T23:45:09.436Z] 23:45:09 INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_urlBar_zoom.js | Test timed out -
[task 2020-02-17T23:45:09.436Z] 23:45:09 INFO - GECKO(7704) | MEMORY STAT | vsize 3543MB | residentFast 359MB | heapAllocated 127MB
[task 2020-02-17T23:45:09.437Z] 23:45:09 INFO - TEST-OK | browser/modules/test/browser/browser_urlBar_zoom.js | took 45027ms
[task 2020-02-17T23:45:09.438Z] 23:45:09 INFO - Not taking screenshot here: see the one that was previously logged
[task 2020-02-17T23:45:09.438Z] 23:45:09 INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_urlBar_zoom.js | Found a tab after previous test timed out: about:blank -
[task 2020-02-17T23:45:09.439Z] 23:45:09 INFO - checking window state
[task 2020-02-17T23:45:10.393Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7939
[task 2020-02-17T23:45:10.394Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 8016
[task 2020-02-17T23:45:10.415Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7896
[task 2020-02-17T23:45:10.419Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7964
[task 2020-02-17T23:45:10.423Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7839
[task 2020-02-17T23:45:10.423Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7991
[task 2020-02-17T23:45:10.431Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7772
[task 2020-02-17T23:45:10.432Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7870
[task 2020-02-17T23:45:10.447Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7756
[task 2020-02-17T23:45:10.792Z] 23:45:10 INFO - GECKO(7704) | Completed ShutdownLeaks collections in process 7704
[task 2020-02-17T23:45:10.793Z] 23:45:10 INFO - TEST-START | Shutdown
[task 2020-02-17T23:45:10.794Z] 23:45:10 INFO - Browser Chrome Test Summary
[task 2020-02-17T23:45:10.794Z] 23:45:10 INFO - Passed: 1214
[task 2020-02-17T23:45:10.794Z] 23:45:10 INFO - Failed: 2
[task 2020-02-17T23:45:10.795Z] 23:45:10 INFO - Todo: 0
[task 2020-02-17T23:45:10.796Z] 23:45:10 INFO - Mode: e10s
[task 2020-02-17T23:45:10.797Z] 23:45:10 INFO - *** End BrowserChrome Test Results ***
[task 2020-02-17T23:45:11.646Z] 23:45:11 INFO - GECKO(7704) | 1581983111642 Marionette TRACE Received observer notification xpcom-will-shutdown
[task 2020-02-17T23:45:11.646Z] 23:45:11 INFO - GECKO(7704) | 1581983111642 Marionette INFO Stopped listening on port 2828
[task 2020-02-17T23:45:11.648Z] 23:45:11 INFO - GECKO(7704) | 1581983111642 Marionette DEBUG Marionette stopped listening
[task 2020-02-17T23:45:11.748Z] 23:45:11 INFO - TEST-INFO | Main app process: exit 0

Justin, the test has been disabled on mac and now it's failing on linux, can you please assign someone to take a look?

Flags: needinfo?(dolske)
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork:owner]
Flags: needinfo?(dolske)
You need to log in before you can comment on or make changes to this bug.